﻿@page "/"
@using Blazorbrudi.Menus

<PageTitle>Blazorbrudi</PageTitle>

<Blazorbrudi.Menus.CubeMenu @ref="_cube">
    <Front>
        <p>front</p>
        <button @onclick="_ => _cube.ShowSide(CubeSide.Back)"></button>
    </Front>
    <Back>
        <p>back</p>
        <button @onclick="_ => _cube.ShowSide(CubeSide.Front)"></button>
    </Back>
</Blazorbrudi.Menus.CubeMenu>

@code
{
    CubeMenu _cube;
}

<Style>
   .cube {
    background-color: #0f5132;
   } 
</Style>
